<?php

lt_include(PLOG_CLASS_PATH.'class/action/admin/adminaction.class.php');
lt_include(PLOG_CLASS_PATH.'class/view/admin/adminplugintemplatedview.class.php');
lt_include(PLOG_CLASS_PATH.'plugins/embedmedia/class/view/pluginembedmediaconfigview.class.php');

// shows a form with the current configuration
class PluginEmbedMediaConfigAction extends AdminAction
{
	function PluginEmbedMediaConfigAction($actionInfo, $request)
	{
		$this->AdminAction($actionInfo, $request);
	}

	function perform()
	{
        $this->_view = new PluginEmbedMediaConfigView($this->_blogInfo);
		$this->setCommonData();
		return true;
	}
}

?>
